%define oname UPower

%define major 1
%define girmajor 1.0
%define libname %mklibname upower-glib %{major}
%define girname %mklibname upower-glib-gir %{girmajor}
%define devname %mklibname -d upower-glib

%define oldlibname %mklibname devkit-power-gobject 1
%define olddevname %mklibname -d devkit-power-gobject

Summary:	Power Management Service
Name:		upower
Version:	0.9.18
Release:	1
License:	GPLv2+
Group:		System/Kernel and hardware
URL:		http://upower.freedesktop.org/
Source0:	http://upower.freedesktop.org/releases/%{name}-%{version}.tar.xz

BuildRequires:	docbook-style-xsl
BuildRequires:	gettext
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	xsltproc
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gudev-1.0) >= 186
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(libimobiledevice-1.0)
BuildRequires:	pkgconfig(libusb-1.0)
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	systemd-units >= 37
Requires(post,preun,postun):	systemd-units
Requires(post,preun):	rpm-helper
Requires(post):	systemd-sysvinit

Requires:	pm-utils
Requires:	suspend
Provides:	%{oname} = %{version}-%{release}
Obsoletes:	devicekit-power

%description
%{oname} provides a daemon, API and command line tools for
managing power devices attached to the system.

%package -n %{libname}
Summary:	Shared Library of %{oname}
Group:		System/Libraries
Obsoletes:	%{oldlibname}

%description -n %{libname}
%{oname} provides a daemon, API and command line tools for
managing power devices attached to the system.

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}upower-glib1 < 0.9.15-3

%description -n	%{girname}
GObject Introspection interface description for %{name}.

%package -n %{devname}
Summary:	Headers and libraries for %{oname}
Group:		Development/C
Provides:	%{oname}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Obsoletes:	%{olddevname}

%description -n	%{devname}
Headers and libraries for %{oname}

%prep
%setup -q

%build
%configure2_5x \
	--enable-gtk-doc \
	--disable-static \
	--enable-introspection \
	--with-systemdsystemunitdir=%{_unitdir}

%make

%install
%makeinstall_std

%find_lang %{name}

%post
%_post_service %{name}

%preun
%_postun_service %{name}

%files -f %{name}.lang
%doc README AUTHORS NEWS HACKING
%dir %{_sysconfdir}/UPower/
%config(noreplace) %{_sysconfdir}/UPower/UPower.conf
%{_sysconfdir}/dbus-1/system.d/*.conf
/lib/udev/rules.d/*.rules
%{_localstatedir}/lib/upower
%{_bindir}/*
%{_libexecdir}/upowerd
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/dbus-1/system-services/*.service
%{_unitdir}/upower.service
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%files -n %{libname}
%{_libdir}/libupower-glib.so.%{major}*

%files -n %{girname}
%{_libdir}/girepository-1.0/UPowerGlib-%{girmajor}.typelib

%files -n %{devname}
%{_includedir}/libupower-glib
%{_libdir}/*.so
%{_libdir}/pkgconfig/upower-glib.pc
%{_datadir}/dbus-1/interfaces/*.xml
%dir %{_datadir}/gtk-doc/html/UPower
%{_datadir}/gtk-doc/html/UPower/*
%{_datadir}/gir-1.0/UPowerGlib-%{girmajor}.gir


%changelog
* Mon Sep 10 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.18-1
+ Revision: 816704
- update to new version 0.9.18
- fix scriplets

* Tue Jul 10 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.17-2
+ Revision: 808774
- rebuild for new udev >= 186

* Thu Jun 28 2012 Alexander Khrukin <akhrukin@mandriva.org> 0.9.17-1
+ Revision: 807377
- version update 0.9.17

* Wed Jun 13 2012 Guilherme Moro <guilherme@mandriva.com> 0.9.16-4
+ Revision: 805498
- Fixed systemd service

* Thu Jun 07 2012 Per Øyvind Karlsen <peroyvind@mandriva.org> 0.9.16-3
+ Revision: 803157
- cleanups
- package missing %%{_localstatedir}/lib/upower directory

* Mon May 07 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.9.16-2
+ Revision: 797303
- rebuild added back systemd build

* Wed May 02 2012 Götz Waschk <waschk@mandriva.org> 0.9.16-1
+ Revision: 794983
- update to new version 0.9.16

* Fri Apr 27 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.9.15-4
+ Revision: 794114
- rebuild

* Fri Apr 27 2012 Matthew Dawkins <mattydaw@mandriva.org> 0.9.15-3
+ Revision: 794104
- rebuild
- split out gir pkg
- removed dep loop
- cleaned up spec

* Sun Feb 19 2012 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.15-2
+ Revision: 777541
- disable static files
- update to new version 0.9.15
- Patch0: fix linking
- disable systemd support

* Tue Dec 06 2011 Götz Waschk <waschk@mandriva.org> 0.9.15-1
+ Revision: 738117
- new version

* Sat Nov 05 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.14-7
+ Revision: 720011
- rebuild for glib2

* Tue Nov 01 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.14-6
+ Revision: 709239
- fix scriplets for good

* Sat Oct 29 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.14-5
+ Revision: 707785
- fix scriplets

* Sat Oct 29 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.14-4
+ Revision: 707763
- fix systemd support

* Wed Oct 12 2011 Tomasz Pawel Gajc <tpg@mandriva.org> 0.9.14-3
+ Revision: 704479
- fix service file
- enable systemd support to start upowerd early

* Thu Oct 06 2011 Götz Waschk <waschk@mandriva.org> 0.9.14-1
+ Revision: 703245
- update to new version 0.9.14

* Fri Sep 09 2011 Götz Waschk <waschk@mandriva.org> 0.9.13-1
+ Revision: 699089
- update to new version 0.9.13

* Mon Jul 11 2011 Götz Waschk <waschk@mandriva.org> 0.9.12-1
+ Revision: 689498
- new version
- xz tarball

* Thu Jun 16 2011 Götz Waschk <waschk@mandriva.org> 0.9.11-1
+ Revision: 685498
- update to new version 0.9.11

* Mon May 09 2011 Funda Wang <fwang@mandriva.org> 0.9.10-1
+ Revision: 672738
- new version 0.9.10

  + Oden Eriksson <oeriksson@mandriva.com>
    - mass rebuild

* Sat Sep 11 2010 Götz Waschk <waschk@mandriva.org> 0.9.6-0.2mdv2011.0
+ Revision: 577205
- rebuild for new g-i

* Fri Sep 10 2010 Andrey Borzenkov <arvidjaar@mandriva.org> 0.9.6-0.1mdv2011.0
+ Revision: 577135
- patch100: update to current GIT (bump version) to fix upowerd crash

* Fri Jul 30 2010 Funda Wang <fwang@mandriva.org> 0.9.5-2mdv2011.0
+ Revision: 563253
- rebuild for new gobject-introspection

* Mon Jul 19 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-1mdv2011.0
+ Revision: 554906
- update to new version 0.9.5

* Sat Jul 10 2010 Götz Waschk <waschk@mandriva.org> 0.9.4-1mdv2011.0
+ Revision: 550282
- new version
- update file list

* Mon Apr 12 2010 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2010.1
+ Revision: 533665
- new version
- fix source URL and name
- improve file list

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - Fix URL

* Thu Mar 11 2010 Götz Waschk <waschk@mandriva.org> 0.9.1-2mdv2010.1
+ Revision: 518047
- fix obsoletes
- move typelib to the library package

  + Pascal Terjan <pterjan@mandriva.org>
    - renamed to upower

* Sat Jan 09 2010 Emmanuel Andry <eandry@mandriva.org> 014-1mdv2010.1
+ Revision: 488122
- New version 014

* Thu Dec 31 2009 Emmanuel Andry <eandry@mandriva.org> 013-1mdv2010.1
+ Revision: 484413
- New version 013

* Sat Nov 07 2009 Frederik Himpe <fhimpe@mandriva.org> 012-1mdv2010.1
+ Revision: 462139
- update to new version 012

* Mon Sep 14 2009 Götz Waschk <waschk@mandriva.org> 010-2mdv2010.0
+ Revision: 439066
- fix build deps

* Mon Jul 27 2009 Frederic Crozat <fcrozat@mandriva.com> 010-1mdv2010.0
+ Revision: 400627
- Release 010

* Mon Jul 06 2009 Frederik Himpe <fhimpe@mandriva.org> 009-1mdv2010.0
+ Revision: 392982
- Update to new version 009 (now installs udev rules in /lib/udev/rules.d/)

* Thu Jun 04 2009 Götz Waschk <waschk@mandriva.org> 008-2mdv2010.0
+ Revision: 382638
- split out library package
- fix devel dep

* Wed Jun 03 2009 Pascal Terjan <pterjan@mandriva.org> 008-1mdv2010.0
+ Revision: 382420
- Update to 008

* Thu Mar 26 2009 Frederic Crozat <fcrozat@mandriva.com> 006-2mdv2009.1
+ Revision: 361369
- Patch1: fix dbus warnings when using g-p-m

* Thu Mar 05 2009 Frederic Crozat <fcrozat@mandriva.com> 006-1mdv2009.1
+ Revision: 349034
- Release 006
- Patch0 (GIT): fix dbus interface usage for CVE 2008-4311

* Wed Jan 28 2009 Pascal Terjan <pterjan@mandriva.org> 004-2mdv2009.1
+ Revision: 335041
- Lower requirements

* Wed Jan 28 2009 Pascal Terjan <pterjan@mandriva.org> 004-1mdv2009.1
+ Revision: 334967
- import devicekit-power

